Skip to main content
PUT
/
v4
/
core
/
companies
/
{companyId}
/
journal_entries
Update a journal entry
curl --request PUT \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/journal_entries \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "data": {
    "platform_id": "string",
    "account_id": "string",
    "amount": 0,
    "currency_id": "AED",
    "currency_rate": 0,
    "journal_entry_type": "string",
    "description": "string",
    "posted_date": "2024-01-01T00:00:00Z",
    "document_number": "string",
    "business_unit_id": "string",
    "updated_at": "2024-01-01T00:00:00Z",
    "journal_lines": [
      {
        "platform_id": "string",
        "tracking_category_ids": [
          "string"
        ],
        "parent_id": "string",
        "parent_type": "ACCOUNT",
        "account_id": "string",
        "contact_id": "string",
        "tax_id": "string",
        "type": "CREDIT",
        "description": "string",
        "net_amount": 0,
        "tax_amount": 0,
        "updated_at": "2024-01-01T00:00:00Z"
      }
    ]
  }
}
'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/journal_entries"

payload = { "data": {
"platform_id": "string",
"account_id": "string",
"amount": 0,
"currency_id": "AED",
"currency_rate": 0,
"journal_entry_type": "string",
"description": "string",
"posted_date": "2024-01-01T00:00:00Z",
"document_number": "string",
"business_unit_id": "string",
"updated_at": "2024-01-01T00:00:00Z",
"journal_lines": [
{
"platform_id": "string",
"tracking_category_ids": ["string"],
"parent_id": "string",
"parent_type": "ACCOUNT",
"account_id": "string",
"contact_id": "string",
"tax_id": "string",
"type": "CREDIT",
"description": "string",
"net_amount": 0,
"tax_amount": 0,
"updated_at": "2024-01-01T00:00:00Z"
}
]
} }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
platform_id: 'string',
account_id: 'string',
amount: 0,
currency_id: 'AED',
currency_rate: 0,
journal_entry_type: 'string',
description: 'string',
posted_date: '2024-01-01T00:00:00Z',
document_number: 'string',
business_unit_id: 'string',
updated_at: '2024-01-01T00:00:00Z',
journal_lines: [
{
platform_id: 'string',
tracking_category_ids: ['string'],
parent_id: 'string',
parent_type: 'ACCOUNT',
account_id: 'string',
contact_id: 'string',
tax_id: 'string',
type: 'CREDIT',
description: 'string',
net_amount: 0,
tax_amount: 0,
updated_at: '2024-01-01T00:00:00Z'
}
]
}
})
};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/journal_entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "sync_id": "<string>",
    "data": {
      "rootfi_id": 123,
      "rootfi_created_at": "2023-11-07T05:31:56Z",
      "rootfi_updated_at": "2023-11-07T05:31:56Z",
      "platform_id": "<string>",
      "account_id": "<string>",
      "amount": 123,
      "currency_rate": 123,
      "journal_entry_type": "<string>",
      "description": "<string>",
      "posted_date": "2023-11-07T05:31:56Z",
      "document_number": "<string>",
      "business_unit_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "journal_lines": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "tracking_category_ids": [
            "<string>"
          ],
          "parent_id": "<string>",
          "account_id": "<string>",
          "contact_id": "<string>",
          "tax_id": "<string>",
          "description": "<string>",
          "net_amount": 123,
          "tax_amount": 123,
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "documents": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "file_name": "<string>",
          "file_type": "<string>",
          "file_size": 123,
          "document_type_id": "<string>",
          "document_uploaded": true,
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

run_async
boolean

Process the write asynchronously. Required when data is an array (batch write).

Body

application/json
data
object
required

Response

200 - application/json

The updated journal_entries record (sync) or a sync id (async).

data
object
required
request_id
string
required